Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectstyle.cayenne.access.util
Class PrefetchHelper

    java.lang.Object
      org.objectstyle.cayenne.access.util.PrefetchHelper

Deprecated. Since 1.2. This class has a number of limitations and keeping it in Cayenne doesn't look like a wise idea.

    public class PrefetchHelper

extends java.lang.Object

A helper class to resolve relationships in batches for the lists of objects. Used for performance tuning.

Author:
  Arndt Brenschede

Constructor Summary
`PrefetchHelper()` Deprecated.

Method Summary
`static void` | `resolveToManyRelations(DataContext context, java.util.List objects, java.lang.String relName)` Deprecated. Resolves a toMany relation for a list of objects.
`static void` | `resolveToOneRelations(DataContext context, java.util.List objects, java.lang.String relName)` Deprecated. Resolves a to-one relationship for a list of objects.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrefetchHelper

    public PrefetchHelper()

  Deprecated.

Method Detail

### resolveToOneRelations

    public static void resolveToOneRelations(DataContext context,
                                             java.util.List objects,
                                             java.lang.String relName)

  Deprecated.
  Resolves a to-one relationship for a list of objects.

### resolveToManyRelations

    public static void resolveToManyRelations(DataContext context,
                                              java.util.List objects,
                                              java.lang.String relName)

  Deprecated.
  Resolves a toMany relation for a list of objects.

  WARNING: this is a bit of a hack - it works for my toMany's, but it possibly doesn't work in all cases.

  *** It definitly does not work for compound keys ***

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 ObjectStyle.org All Rights Reserved.